[
  {
    blockid=settings;
    localvar=
    {
      .label.size = 115;
      .value.size = 330;
      .folderdn.basedn.size = 100;

      .root.settings.ldap.border = [titled, "Directory Server"];
      .root.settings.ldap.host = "\u30db\u30b9\u30c8\u540d:";
      .root.settings.ldap.port = "\u30dd\u30fc\u30c8:";
      .root.settings.ldap.binddn = "\u30d0\u30a4\u30f3\u30c9 DN :";
      .root.settings.ldap.folderdn = "\u30d5\u30a9\u30eb\u30c0\u306e\u30eb\u30fc\u30c8 DN :";
      .root.settings.ldap.comma = ",";

      .root.settings.urls.border = [titled, "\u30a8\u30f3\u30c9\u30e6\u30fc\u30b6\u30fc URL"];
      .root.settings.urls.newgroup="\u65b0\u898f\u30d5\u30a9\u30eb\u30c0 URL: ";
      .root.settings.urls.manage="\u30d5\u30a9\u30eb\u30c0 URL \u306e\u7ba1\u7406: ";
      .root.settings.urls.cancel="\u53d6\u308a\u6d88\u3059\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u306e URL :";

      .root.settings.import.text="Discussion \u30b0\u30eb\u30fc\u30d7\u3092\u30a4\u30f3\u30dd\u30fc\u30c8...";
      .root.settings.import.dlgtitle="Discussion \u30b0\u30eb\u30fc\u30d7\u3092\u30a4\u30f3\u30dd\u30fc\u30c8";
    }

    content=
    [
      { /* LDAP */
        ctrl=pane;
        layout=[ybox];
        border=$.root.settings.ldap.border;
        content=
        [ /* LDAP contents */

          { /* hostname */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* hostname contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.host;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldaphost.value;
                wrap=$.value.size;
              } /* value */

            ]; /* hostname contents */

          }, /* hostname */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* port */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* port contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.port;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapport.value;
                wrap=$.value.size;
              } /* value */

            ]; /* port contents */

          }, /* port */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* binddn */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* binddn contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.binddn;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapbinddn.value;
                wrap=$.value.size;
              } /* value */

            ]; /* binddn contents */
          }, /* binddn */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* folderdn */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* folderdn contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.ldap.folderdn;
                wrap=$.label.size;
                id=folderdn;
                aligny=0.5;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* folder dn */
                ctrl=text;
                label=folderdn;
                aligny=0.5;
                val=$service.nntp.content.folderdn.nsvalue;
              }, /* folder dn */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* comp space */
                ctrl=label;
                text=$.root.settings.ldap.comma;
                label=folderdn;
                aligny=0.5;
              }, /* comp space */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* value */
                ctrl=label;
                text=$local.ugldapbasedn.value;
                wrap=$.folderdn.basedn.size;
                label=folderdn;
                aligny=0.5;
              } /* value */

            ]; /* folderdn contents */
          } /* folderdn */

        ]; /* LDAP contents */
      }, /* LDAP */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* URLs */
        ctrl=pane;
        layout=[ybox];
        border=$.root.settings.urls.border;
        content=
        [ /* URLs contents */

          { /* newgroup */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* newgroup contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.newgroup;
                id=newgroup;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=newgroup;
                aligny=0.5;
                val=$service.nntp.protocol.urlnewgroup.nsvalue;
              } /* textfield */

            ]; /* newgroup contents */
          }, /* newgroup */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* manage */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* manage contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.manage;
                id=manage;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=manage;
                aligny=0.5;
                val=$service.nntp.protocol.urlmanage.nsvalue;
              } /* textfield */

            ]; /* manage contents */
          }, /* manage */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancel */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* cancel contents */

              { /* label */
                ctrl=label;
                text=$.root.settings.urls.cancel;
                id=cancel;
                aligny=0.5;
                wrap=$.label.size;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* textfield */
                ctrl=text;
                label=cancel;
                aligny=0.5;
                val=$service.nntp.protocol.urlcancel.nsvalue;
              } /* textfield */

            ]; /* cancel contents */
          } /* cancel */

        ]; /* URLs contents */
      }, /* URLs */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* import */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* import contents */

          { /* indent to the right */
            ctrl=hglue;
          }, /* indent to the right */

          { /* import btn. */
            ctrl=button;
            text=$.root.settings.import.text;
            dialog=layout.folders.import;
            dialogtitle=$.root.settings.import.dlgtitle;
          } /* import btn. */
        ]; /* import contents */
      } /* import */

    ];
  },

  { /* import dialog */
    blockid=layout.folders.import;
    custom=com.netscape.management.msgserv.folders.FImportControl;
    buttonsat=south;

    localvar=
    {
      .label.size=220;
      .dialog.width=520;

      .import.options.text="\u30a4\u30f3\u30dd\u30fc\u30c8\u30aa\u30d7\u30b7\u30e7\u30f3:";

      .import.from.file="\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e\u30d5\u30a1\u30a4\u30eb\u304b\u3089\u30a4\u30f3\u30dd\u30fc\u30c8";
      .import.file.label="\u30d5\u30a1\u30a4\u30eb\u306e\u30d5\u30eb\u30d1\u30b9\u3092\u5165\u529b:";
      .import.from.host="\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u304b\u3089\u30a4\u30f3\u30dd\u30fc\u30c8";
      .import.host.hostname="\u30db\u30b9\u30c8\u540d:";
      .import.host.port="\u30dd\u30fc\u30c8: ";
      .import.host.ssl="\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u3059";

      .import.pattern.label="\u30d1\u30bf\u30fc\u30f3\u306b\u4e00\u81f4\u3059\u308b\u3059\u3079\u3066\u306e\u30d5\u30a9\u30eb\u30c0\u3092\u30a4\u30f3\u30dd\u30fc\u30c8:";
      .import.pattern.defvalue="*";
    };

    content=
    [ /* import dialog contents */

      { /* entire pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* dialog contents */

          { /* force dlg to expand */
            ctrl=label;
            wrap=$.dialog.width;
            text=$.import.options.text;
            alignh=left;
          }, /* force dlg to expand */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* import from file */
            ctrl=togglepane;
            style=radio;
            group=importfrom;
            id=importfromfile;
            text=$.import.from.file;
            content=
            [ /* import from file on server */

              { /* file path */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* file path contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=filepath;
                    wrap=$.label.size;
                    text=$.import.file.label;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* text field */
                    ctrl=text;
                    label=filepath;
                    aligny=0.5;
                    id=importfilepath;
                  } /* text field */

                ]; /* file path contents */
              } /* file path */

            ]; /* import from file on server */
          }, /* import from file */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* import from a remote server */
            ctrl=togglepane;
            style=radio;
            group=importfrom;
            id=importfromhost;
            text=$.import.from.host;
            content=
            [ /* import from a remote server */

              { /* hostname */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* hostname contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=hostname;
                    wrap=$.label.size;
                    text=$.import.host.hostname;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* text field */
                    ctrl=text;
                    label=hostname;
                    aligny=0.5;
                    id=importhostname;
                  } /* text field */

                ]; /* hostname contents */
              }, /* hostname */

              { /* comp space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* comp space */

              { /* port */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* port contents */

                  { /* label */
                    ctrl=label;
                    aligny=0.5;
                    id=portlabel;
                    wrap=$.label.size;
                    text=$.import.host.port;
                  }, /* label */

                  { /* comp space */
                    ctrl=rigid;
                  }, /* comp space */

                  { /* port number */
                    ctrl=number;
                    label=portlabel;
                    aligny=0.5;
                    size=5;
                    id=importport;
                  } /* port number */

                ]; /* port contents */
              }, /* port */

              { /* comp space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* comp space */

              { /* ssl */
                ctrl=togglepane;
                style=checkbox;
                text=$.import.host.ssl;
                id=usessl;
              } /* ssl */

            ]; /* import from a remote server */
          }, /* import from a remote server */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space.sep;
          }, /* comp space */

          { /* pattern */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pattern contents */

              { /* label */
                ctrl=label;
                aligny=0.5;
                id=pattern;
                wrap=$.label.size;
                text=$.import.pattern.label;
              }, /* label */

              { /* comp space */
                ctrl=rigid;
              }, /* comp space */

              { /* text */
                ctrl=text;
                aligny=0.5;
                label=pattern;
                val=$.import.pattern.defvalue;
                id=importpattern;
              } /* text */

            ]; /* pattern contents */
          } /* pattern */

        ]; /* dialog contents */
      } /* entire pane */

    ]; /* import dialog contents */
  } /* import dialog */

]



